Ejecutar Agente
curl --request POST \
--url https://api.example.com/agents/{id}/execute/import requests
url = "https://api.example.com/agents/{id}/execute/"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/agents/{id}/execute/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Agentes
Ejecutar Agente
Ejecuta una acción asociada al agente.
POST
/
agents
/
{id}
/
execute
/
Ejecutar Agente
Endpoint
POST https://gateway.orkeia.ai/agents/{id}/execute
Cabeçalhos
authorization: <tu_token>
Content-Type: application/json
Parámetros de camino
Es necesario pasar el id del agente mediante query params{
"id": "ID del agente (obligatorio)"
}
Request body
{
"agent": "id del agente",
"input": "prompt",
"context": [{
"role": ["user","assistant"],
"content": "contenido del contexto"
}],
"chatId": "id del chat, si aplica",
"files": "array de archivos, si aplica",
"metadata": Metadata,
}
Esta solicitud es nuestro AgentPayload! Si tienes alguna duda al respecto, recomendamos que eches un vistazo a este enlace.
Ejemplo (cURL)
curl -X POST "https://gateway.orkeia.ai/agents/agent123/execute" \
-H "authorization: <tu_token>" \
-H "Content-Type: application/json" \
-d '{ "action": "processar"}'
Respuestas
Response - Success
response
{
"status": "OK",
"data": {
"response" : "resultado del procesamiento",
"chatId": "id del chat",
"file": "ruta del archivo, si aplica"}
}
}
500 — Bad Request
{
"status": "ERROR",
"code": "server/error",
"data": null
}
400 — Client Error
{
"status": "ERROR",
"code": "client/error",
"data": null
}
¿Esta página le ayudó?
⌘I
